import request from '@/utils/request'

// 查询季度电费信息列表
export function listBill(query) {
    return request({
        url: '/crmQuarterlyElectricityBill/findByPage',
        method: 'get',
        params: query
    })
}

// 查询季度电费信息详细
export function getBill(id) {
    return request({
        url: '/crmQuarterlyElectricityBill/' + id,
        method: 'get'
    })
}

// 新增季度电费信息
export function addBill(data) {
    return request({
        url: '/crmQuarterlyElectricityBill',
        method: 'post',
        data: data
    })
}

// 修改季度电费信息
export function updateBill(data) {
    return request({
        url: '/crmQuarterlyElectricityBill',
        method: 'put',
        data: data
    })
}

// 删除季度电费信息
export function delBill(id) {
    return request({
        url: '/crmQuarterlyElectricityBill/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delBillBatch(ids) {
    console.log(ids);
    return request.post('/crmQuarterlyElectricityBill/delete',ids)
}